package com.zcxk.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.entity.RoleOrg;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 角色组织(RoleOrg)表数据库访问层
 *
 * @author makejava
 * @since 2020-10-27 10:35:23
 */
@Mapper
public interface RoleOrgMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    RoleOrg selectById(Integer id);


    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<RoleOrg> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param roleOrg 实例对象
     * @return 对象列表
     */
    List<RoleOrg> selectList(RoleOrg roleOrg);

    /**
     * 新增数据
     *
     * @param roleOrg 实例对象
     * @return 影响行数
     */
    int insert(RoleOrg roleOrg);

    /**
     * 批量新增
     *
     * @param roleOrgs 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(@Param("roleOrgs") List<RoleOrg> roleOrgs);

    /**
     * 修改数据
     *
     * @param roleOrg 实例对象
     * @return 影响行数
     */
    int update(RoleOrg roleOrg);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

    IPage<RoleOrg> selectPage(IPage<RoleOrg> page, RoleOrg roleOrg);
    int deleteOrgRole(Integer id);


}